---
layout: mockup
title: "Wi-Fi - Network Settings Dialog"
theme: Adwaita/Adwaita.css
permalink: settings/wifi/network-settings
wallpaper: triangles
---

<!-- css -->
<link rel="stylesheet" type="text/css" href="{{ site.baseurl }}/css/Adwaita/apps/settings.css">

{%- include widgets/_panel.html -%}

<!-- Window -->
<div class="window medium">
	<!-- Titlebar -->
	<div class="titlebar paned">
		<div class="button-group pane float-left">
			<a class="button image-button float-left secondaryButton" href="{{ site.baseurl }}/settings/network">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a>
			<a class="button image-button primaryButton">{%- include symbolic/actions/edit-find-symbolic.svg -%}</a>
			<span class="title">Settings</span>
		</div>
		<a class="button image-button float-left primaryButton" href="{{ site.baseurl }}/settings/network">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a>
		<!-- Title -->
		<div class="title-group with-subtitle">
			<span class="title">Network Settings</span><span class="subtitle">MyHomeWifi</span>
		</div>
		<div class="button-group float-right">
			{%- include components/close-button.html close = "window" -%}
		</div>
	</div>
	<!-- Content -->
	<div class="content">
		{%- include widgets/_settings-sidebar.html -%}
		<!-- View -->
		<div class="view">
			<!-- Row -->
			<div id="myWifiNetworkDetails" class="row">
				<ul class="listrow nohover">
					<li>
						<label>Signal Strength</label>
						<label class="float-right dim-label">Excellent</label>
					</li><!-- 
					<li>
						<label>Security</label>
						<label class="float-right dim-label">WPA</label>
					</li> -->
					<li>
						<label>Frequency</label>
						<label class="float-right dim-label">5 GHz</label>
					</li>
					<li>
						<label>Router</label>
						<label class="float-right dim-label">192.168.2.1</label>
					</li>
					<a href="{{ site.baseurl }}/settings/network/network-details"><li>
						<label>Details</label>
						{%- include components/listrow-link-icon.html -%}
					</li></a>
				</ul>
			</div>
			<!-- Row -->
			<div id="myWifiNetworkOptions" class="row">
				<ul class="listrow">
					<li onclick="toggleChecked('#wifiConnectAutomaticallySwitch');">
						<label>Connect automatically</label>
						{%- include components/switch.html float = "right" checked = "checked" id = "wifiConnectAutomaticallySwitch" -%}
					</li>
					<li onclick="toggleChecked('#wifiAvailableSwitch');">
						<label>Available to others</label>
						{%- include components/switch.html float = "right" checked = "" id = "wifiAvailableSwitch" -%}
					</li>
					<li class="medium" onclick="toggleChecked('#wifiRestrictBackgroundSwitch');">
						<div class="label-group">
							<label>Metered connection</label>
							<label class="small-label dim-label">Limit significant background data.</label>
						</div>
						{%- include components/switch.html float = "right" checked = "" id = "wifiRestrictBackgroundSwitch" -%}
					</li>
				</ul>
			</div>
			<!-- Row -->
			<div id="myWifiNetworkAdvanced" class="row">
				<h5>Advanced Settings</h5>
				<ul class="listrow">
					<!-- <a href="{{ site.baseurl }}/settings/network/network-identity"><li>
						<label>Identity</label>
						{%- include components/listrow-link-icon.html -%}
						<label class="float-right dim-label">MyHomeWifi</label>
					</li></a> -->
					<a href="{{ site.baseurl }}/settings/network/network-ipv4"><li>
						<label>IPv4</label>
						{%- include components/listrow-link-icon.html -%}
						<label class="float-right dim-label">192.168.2.1</label>
					</li></a>
					<a href="{{ site.baseurl }}/settings/network/network-ipv4"><li>
						<label>IPv6</label>
						{%- include components/listrow-link-icon.html -%}
						<label class="float-right dim-label">2001:0db8:85a3:0000</label>
					</li></a>
					<a href="{{ site.baseurl }}/settings/network/network-security"><li>
						<label>Security</label>
						{%- include components/listrow-link-icon.html -%}
						<label class="float-right dim-label">WPA2</label>
					</li></a>
				</ul>
			</div>
			<!-- Row -->
			<div class="row">
				<ul class="listrow">
					<li class="text-center" onclick="$('#wifiForgetDialog').show();">
						<label class="center destructive-action" id="">Forget This Network</label>
					</li>
				</ul>
			</div>
		</div>
	</div>
	<!-- Network SSID Dialog -->
	<div class="gtkdialog" id="networkSSIDDialog">
		<div class="gtkdialog-window mobile action-dialog">
			<div class="titlebar" title="Network Name">
				<a class="button text-button float-left" onclick="$('.gtkdialog').hide();">Cancel</a>
				<a class="button text-button suggested-action float-right" id="networkSSIDApply">Apply</a>
			</div>
			<div class="gtkdialog-content">
				<p>Choose a new network SSID this is how it will appear to others.</p>
				<ul class="listrow unstyled">
					<li>
						<input class="entry full-width" placeholder="MyHomeWifi" id="networkSSIDEntry"></input>
					</li>
				</ul>
			</div>
		</div>
	</div>
	<!-- Network BSSID Dialog -->
	<div class="gtkdialog" id="networkBSSIDDialog">
		<div class="gtkdialog-window mobile action-dialog">
			<div class="titlebar" title="Access Point">
				<a class="button text-button float-left" onclick="$('.gtkdialog').hide();">Cancel</a>
				<a class="button text-button suggested-action float-right" id="networkBSSIDApply">Apply</a>
			</div>
			<div class="gtkdialog-content">
				<p>Choose a new network BSSID this is how it will appear to others.</p>
				<ul class="listrow unstyled">
					<li>
						<input class="entry full-width" placeholder="---" id="networkBSSIDEntry"></input>
					</li>
				</ul>
			</div>
		</div>
	</div>
	<!-- Network MACAddress Dialog -->
	<div class="gtkdialog" id="networkMACAddressDialog">
		<div class="gtkdialog-window mobile action-dialog">
			<div class="titlebar" title="Hardware Address">
				<a class="button text-button float-left" onclick="$('.gtkdialog').hide();">Cancel</a>
				<a class="button text-button suggested-action float-right" id="networkMACAddressApply">Apply</a>
			</div>
			<div class="gtkdialog-content">
				<p>Choose a new network MAC Address this is how it will appear to others.</p>
				<ul class="listrow unstyled">
					<li>
						<input class="entry full-width" placeholder="A1:B2:C3:D4:E5:F6" id="networkMACAddressEntry"></input>
					</li>
				</ul>
			</div>
		</div>
	</div>
	<!-- Network ClonedAddress Dialog -->
	<div class="gtkdialog" id="networkClonedAddressDialog">
		<div class="gtkdialog-window mobile action-dialog">
			<div class="titlebar" title="Cloned Address">
				<a class="button text-button float-left" onclick="$('.gtkdialog').hide();">Cancel</a>
				<a class="button text-button suggested-action float-right" id="networkClonedAddressApply">Apply</a>
			</div>
			<div class="gtkdialog-content">
				<p>Choose a new network Cloned Address this is how it will appear to others.</p>
				<ul class="listrow unstyled">
					<li>
						<input class="entry full-width" placeholder="---" id="networkClonedAddressEntry"></input>
					</li>
				</ul>
			</div>
		</div>
	</div>
	<!-- Forget Network Dialog -->
	<div class="gtkdialog" id="wifiForgetDialog">
		<div class="gtkdialog-window mobile message-dialog">
			<div class="gtkdialog-content">
				<div class="row">
					<h3>Forget "$NETWORK"?</h3>
					<p>Your device will no longer be able to join this Wi-Fi network.</p>
				</div>
				<a class="button text-button float-left" onclick="$('#wifiForgetDialog').hide();">Cancel</a>
				<a class="button text-button float-right destructive-action" onclick="$('#wifiForgetDialog').hide();">Forget</a>
			</div>
		</div>
	</div>
</div>

<!-- js -->
<script type="text/javascript">
// highlight sidebar
$(document).ready(function() {$('#settingsSidebar a:nth-of-type(1) li').addClass("active");});

// change network ssid
$(document).ready(function(){
	$('#networkSSIDApply').click(function(){
		$("#networkSSIDLabel").text($('#networkSSIDEntry').val());
	});
});
$("#networkSSIDApply").click(function(){$(".gtkdialog").hide();}); 

// change network bssid
$(document).ready(function(){
	$('#networkBSSIDApply').click(function(){
		$("#networkBSSIDLabel").text($('#networkBSSIDEntry').val());
	});
});
$("#networkBSSIDApply").click(function(){$(".gtkdialog").hide();}); 

// change network mac address
$(document).ready(function(){
	$('#networkMacAddressApply').click(function(){
		$("#networkMacAddressLabel").text($('#networkMacAddressEntry').val());
	});
});
$("#networkMacAddressApply").click(function(){$(".gtkdialog").hide();}); 

// change network cloned address
$(document).ready(function(){
	$('#networkClonedAddressApply').click(function(){
		$("#networkClonedAddressLabel").text($('#networkClonedAddressEntry').val());
	});
});
$("#networkClonedAddressApply").click(function(){$(".gtkdialog").hide();}); 
</script>